<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<title>::: Gestion Clients:::</title>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1">
<meta name="Content-Language" content="fr" />
<meta name="Description" content="" />
<meta name="Keywords" content=" Tutoriel Spring MVC-Boot-Data JPA Hibernate Bootstrap Jquery " />
<meta name="Subject" content="" />
<meta name="Content-Type" content="utf-8" />

 <div th:replace="fragments/header :: header-css"/>
</head>
<body>
<div th:replace="fragments/header :: header"></div>


	<div class="container">


		<section class="h-100">
			<div class="container h-100">
				<div class="row justify-content-md-center h-100">
					<div class="card-wrapper">
								<form id="clientform" class="form-horizontal" th:object="${clientForm}" th:action="@{/client/save}" >

						<div class="card fat">
							<div class="card-body">
										<h1 th:if="${clientForm.idClient != null}" class="card-title">Modifier client </h1>
										<h4 th:if="${clientForm.idClient != null}" class="card-title">Merci de mettre à jour ces données</h4>
										<h1 th:unless="${clientForm.idClient != null}" class="card-title">Nouveau client </h1>
										<h4 th:unless="${clientForm.idClient != null}" class="card-title">Merci de renseigner ces données</h4>


									<div class="form-group">
											<input type="text" th:field="*{loginClient}" 
												class="form-control" th:value="${clientForm.loginClient}"
												placeholder="Login" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs Login est Obligatoire !"
												data-validation-error-msg-alphanumeric="Le Login doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Login ne doit pas dépasser 100" />
										</div>
										<div class="form-group">
											<input type="text" th:field="*{motPasseClient}" 
												class="form-control" th:value="${clientForm.motPasseClient}"
												placeholder="Mot De Passe" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs Mot De Passe est Obligatoire !"
												data-validation-error-msg-alphanumeric="Le Mot De Passe doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Mot De Passe ne doit pas dépasser 100" />
										</div>
											<div class="form-group">
											<input type="text" th:field="*{nomClient}" 
												class="form-control" th:value="${clientForm.nomClient}"
												placeholder="Nom de Client" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs Nom de Client est Obligatoire !"
												data-validation-error-msg-alphanumeric="Le Nom de Client doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Nom de Client ne doit pas dépasser 100" />
										</div>
											<div class="form-group">
											<input type="text" th:field="*{nomClient}" 
												class="form-control" th:value="${clientForm.nomClient}"
												placeholder="Nom de Client" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs Nom de Client est Obligatoire !"
												data-validation-error-msg-alphanumeric="Le Nom de Client doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Nom de Client ne doit pas dépasser 100" />
										</div>
								
											<div class="form-group">
											<input type="text" th:field="*{prenomClient}" 
												class="form-control" th:value="${clientForm.prenomClient}"
												placeholder="Prenom  de Client" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs Prenom  de Client est Obligatoire !"
												data-validation-error-msg-alphanumeric="Le Prenom  de Client doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Prenom  de Client ne doit pas dépasser 100" />
										</div>
											<div class="form-group">
											<input type="text" th:field="*{civiliteClient}" 
												class="form-control" th:value="${clientForm.civiliteClient}"
												placeholder="civilite de Client" required="required"
												data-validation-length="max100"
												data-validation-allowing="-_ ééé'&"
												data-validation="required alphanumeric length"
												data-validation-error-msg-required="Champs civilite deClient est Obligatoire !"
												data-validation-error-msg-alphanumeric="La civilite de rClient doit contenir uniquement des cacartéres alphanumérique"
												data-validation-error-msg-length="Taille du champs Prenom  de Client ne doit pas dépasser 100" />
										</div>
								
<div class="form-group m-0">
										<button th:if="${clientForm.idProduit != null}" type="submit" class="btn btn-primary">
											Modifier</button>
											
										<button th:unless="${produitForm.idProduit != null}" type="submit" class="btn btn-success">
											Enregistrer</button>
											
										<input class="btn btn-secondary" type="reset" value="Effacer">
											
									</div>
								</form>
								
							</div>
						</div>
					</div>
				</div>
		
	


					



<<div th:replace="fragments/footer :: footer"></div>


<!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- JavaScript Placed at the end of the document so the pages load faster -->
  	<script src="../../js/jquery-3.3.1.slim.min.js" th:src="@{/js/jquery-3.3.1.slim.min.js}"></script>
    <script src="../../js/jquery.form-validator.min.js" th:src="@{/js/jquery.form-validator.min.js}"></script>
    <script src="../../js/bootstrap.min.js" th:src="@{/js/bootstrap.min.js}"></script>


	<script>
	$.validate();
	</script>


</body>
</html>